FINCORE(1)

BEZEICHNUNG
fincore - Speicherseiten der Dateiinhalte im Kern zählen

ÜBERSICHT

fincore [Optionen] Datei …

BESCHREIBUNG

fincore zählt die Seiten der Dateiinhalte, die sich im Speicher befinden (im Kern) und meldet deren Nummern. Wenn während der Zählung ein Fehler auftritt, wird eine Meldung in die Standardfehlerausgabe geschrieben und fincore fährt mit der Verarbeitung der restlichen in der Befehlszeile angegebenen Dateien fort.

Die Standardausgabe kann sich ändern. Daher sollten Sie vermeiden, die Standardausgabe in Ihren Skripten zu verwenden, wo immer es möglich ist. Definieren Sie in Umgebungen, wo eine stabile Ausgabe erforderlich ist, stets die erwarteten Spalten, indem Sie die Option --output Spaltenliste angeben.

OPTIONEN

-n, --noheadings
    unterdrückt die Ausgabe einer Kopfzeile in der Statusausgabe.

-b, --bytes
    gibt die Größen in Byte anstelle eines menschenlesbaren Formats aus.

    Standardmäßig werden die Größen in Byte ausgedrückt und die Präfixe sind Potenzen der Form 2^10 (1024). Die Abkürzungen der Symbole werden zur besseren Lesbarkeit abgeschnitten, indem jeweils nur der erste Buchstabe dargestellt wird. Beispiele: »1 KiB« und »1 MiB« werden als »1 K« bzw. »1 M« dargestellt. Die Erwähnung des »iB«-Anteils, der Teil der Abkürzung ist, entfällt absichtlich.

-o, --output Liste
    gibt an, welche Spalten ausgegeben werden sollen. Mit --help erhalten Sie eine Liste aller unterstützten Spalten. Die Standardliste der Spalten kann erweitert werden, wenn die Liste im Format +Liste vorliegt.

-r, --raw
    erstellt die Ausgabe im rohen Format. Alle potenziell unsicheren Zeichen werden hexadezimal maskiert (\x<Code>).

-J, --json
    verwendet das JSON-Ausgabeformat.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-V, --version
    zeigt die Versionsnummer an und beendet das Programm.

AUTOREN

SIEHE AUCH

mincore(2), getpagesize(2), getconf(1p)

FEHLER MELDEN

Verwenden Sie zum Melden von Fehlern das Fehlererfassungssystem auf

VERFÜGBARKEIT

Der Befehl fincore ist Teil des Pakets util-linux, welches heruntergeladen werden kann von:

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).